Groovy Documentation

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyType

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyType

All Implemented Interfaces:
  GroovyType

    public class SimpleGroovyType
    extends java.lang.Object

Constructor Summary
`SimpleGroovyType(java.lang.String typeName)`

Method Summary
`boolean` | `isPrimitive()`
`java.lang.String` | `qualifiedTypeName()`
`java.lang.String` | `simpleTypeName()`
`java.lang.String` | `typeName()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SimpleGroovyType

    public SimpleGroovyType(java.lang.String typeName)

Method Detail

### isPrimitive

    public boolean isPrimitive()

### qualifiedTypeName

    public java.lang.String qualifiedTypeName()

### simpleTypeName

    public java.lang.String simpleTypeName()

### typeName

    public java.lang.String typeName()

Groovy Documentation